function SellGreyItems()
	TotalPrice = 0
	for myBags = 0,4 do
		for bagSlots = 1, GetContainerNumSlots(myBags) do
			CurrentItemLink = GetContainerItemLink(myBags, bagSlots)
				if CurrentItemLink then
					_, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(CurrentItemLink)
					_, itemCount = GetContainerItemInfo(myBags, bagSlots)
					if itemRarity == 0 and itemSellPrice ~= 0 then
						TotalPrice = TotalPrice + (itemSellPrice * itemCount)
						DEFAULT_CHAT_FRAME:AddMessage("Sold: ".. CurrentItemLink .. " for " .. ShowGold(itemSellPrice * itemCount))
						UseContainerItem(myBags, bagSlots)
					end
				end
		end
	end
	if TotalPrice ~= 0 then
		DEFAULT_CHAT_FRAME:AddMessage("Total Price for all items: " .. ShowGold(TotalPrice))
	else
		DEFAULT_CHAT_FRAME:AddMessage("No items were sold.")
	end
end

function ShowGold(itemSellPrice)
	local strGold = ""
	local intValue
	
	intValue = math.floor(itemSellPrice/COPPER_PER_GOLD)
	itemSellPrice = mod(itemSellPrice, COPPER_PER_GOLD)
	if intValue > 0 then
		strGold = intValue .. "g "
	end
	
	intValue = math.floor(itemSellPrice/COPPER_PER_SILVER)
	itemSellPrice = mod(itemSellPrice,COPPER_PER_SILVER)
	if intValue > 0 then
		strGold = strGold .. intValue .. "s "
	end
	
	if itemSellPrice > 0 then
		return strGold .. itemSellPrice .. "c"
	else
		return strGold
	end
end